------------------------------------------------------------------------------------
--Name:  	ChildrenDay2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-04-21
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(222, 207)
local Player_1 = CppScriptMgr:AddPlayer(603, 222, 207, "", 0, 0)
Player_1:SetZoomPercent(150)
local Player_2 = CppScriptMgr:AddPlayer(603, 226, 208, "", 0, 0)
Player_2:SetZoomPercent(150)
local Player_3 = CppScriptMgr:AddPlayer(603, 228, 204, "", 0, 0)
Player_3:SetZoomPercent(150)
local Player_4 = CppScriptMgr:AddPlayer(603, 224, 204, "", 0, 0)
Player_4:SetZoomPercent(150)
local effect_1 = CppScriptMgr:AddEffect("ty_ymz", 222, 207, 33, 1, 1, 1)
effect_1:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(500)
Player_1:Say("Water in every corner! Up into the clouds it rises and falls as sweet dew!", 1500)
Player_2:Say("Water in every corner! Up into the clouds it rises and falls as sweet dew!", 1500)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:ShakeScrEffect(1)
local Effect_1 = CppScriptMgr:AddEffect("TSM_FRSZ_aoe", 222, 207, 33, 1, 1, 1)
local Effect_2 = CppScriptMgr:AddEffect("TSM_LXZF_sf", 225, 216, 33, 1, 1, 1)
local Effect_3 = CppScriptMgr:AddEffect("zf2-e233", 225, 216, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(990)
local effect_0 = CppScriptMgr:AddEffect("CartoonDisplay", 222, 207, 33, 1, 1, 1)
effect_0:Scale(1.5, 1.5, 1.5)
local Player_5 = CppScriptMgr:AddPlayer(297, 225, 216, "", 0, 0)
Player_5:SetDir(4)
CppScriptMgr:WaitMilSec(500)
ChangeNpcZoom(Player_5, 100, 200, 10, 100)
CppScriptMgr:WaitMilSec(520)
Player_5:SetAction(401)
CppScriptMgr:WaitMilSec(980)
Player_2:Say("Mishaps always follow Fuzhu! Great!", 1500)
CppScriptMgr:WaitMilSec(2000)